package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.EnvWarningInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
public interface IEnvWarningInfoService extends IService<EnvWarningInfo> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listTop(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listScreenAll(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
